ChangeSet 1.879.9.26, 2003/01/07 15:45:51-08:00, greg@kroah.com

[PATCH] USB serial: fixup for probe function paramaters changing.


diff -Nru a/drivers/usb/serial/visor.c b/drivers/usb/serial/visor.c
--- a/drivers/usb/serial/visor.c	Wed Jan  8 11:55:56 2003
+++ b/drivers/usb/serial/visor.c	Wed Jan  8 11:55:56 2003
@@ -168,7 +168,7 @@
 static int  visor_chars_in_buffer	(struct usb_serial_port *port);
 static void visor_throttle	(struct usb_serial_port *port);
 static void visor_unthrottle	(struct usb_serial_port *port);
-static int  visor_probe		(struct usb_serial *serial);
+static int  visor_probe		(struct usb_serial *serial, const struct usb_device_id *id);
 static int  visor_calc_num_ports(struct usb_serial *serial);
 static void visor_shutdown	(struct usb_serial *serial);
 static int  visor_ioctl		(struct usb_serial_port *port, struct file * file, unsigned int cmd, unsigned long arg);
@@ -600,7 +600,7 @@
 		dev_err(&port->dev, "%s - failed submitting read urb, error %d\n", __FUNCTION__, result);
 }
 
-static int visor_probe (struct usb_serial *serial)
+static int visor_probe (struct usb_serial *serial, const struct usb_device_id *id)
 {
 	struct device *dev = &serial->dev->dev;
 	int response;
diff -Nru a/drivers/usb/serial/whiteheat.c b/drivers/usb/serial/whiteheat.c
--- a/drivers/usb/serial/whiteheat.c	Wed Jan  8 11:55:56 2003
+++ b/drivers/usb/serial/whiteheat.c	Wed Jan  8 11:55:56 2003
@@ -134,7 +134,7 @@
 };
 
 /* function prototypes for the Connect Tech WhiteHEAT prerenumeration device */
-static int  whiteheat_firmware_download	(struct usb_serial *serial);
+static int  whiteheat_firmware_download	(struct usb_serial *serial, const struct usb_device_id *id);
 static int  whiteheat_firmware_attach	(struct usb_serial *serial);
 
 /* function prototypes for the Connect Tech WhiteHEAT serial converter */
@@ -269,7 +269,7 @@
  - device renumerated itself and comes up as new device id with all
    firmware download completed.
 */
-static int whiteheat_firmware_download (struct usb_serial *serial)
+static int whiteheat_firmware_download (struct usb_serial *serial, const struct usb_device_id *id)
 {
 	int response;
 	const struct whiteheat_hex_record *record;
